<?php

namespace POOPETPLUGIN\Element;


class Elementor {
	static $widgets = array(
		'h1_slider',
		'h1_about_left',
		'h1_about_right',
		'h1_service_image',
		'h1_takecare',
		'h1_gallery',
		'h1_groomers',
		'h1_clients',
		'h1_about',
		'h1_blog',
		'h1_testimonial',
		'h1_contact',
		'footer_top',
		'footer_widget1',
		'footer_widget2',
		'footer_widget3',
		'footer_bottom',
		'h2_slider',
		'h2_about',
		'h2_team',
		'h2_chooseus',
		'h2_healthcare_left',
		'h2_healthcare_right',
		'h2_pricing_title',
		'h2_pricing_block',
		'h2_cta',
		'about',
		'faq_left',
		'faq_right',
		'service',
		'service_details1',
		'service_details2',
		'service_details3',
		'wi_catagory',
		'wi_appointment',
		'gallery',
		'contact',
		'team_details_left',
		'team_details_right',
		'team_details1',
		'team_details2',
		'team_details3',
		'clients',
        'footer',
		"slider",
		"clients2",
		"about_left",
		"about_right",
		"service2",
		"gallery2",
		"team",
		"cta",
		"partner",
		"testimonial",
		"appointment",
		"blog",
		"about_left2",
		"about_right2",
		"team2",
		"gallery3",
		"testimonial2",
		"pricing",
		"blog2",
		"slider3",
		"category",
		"cta_left",
		"cta_right",
		"featured",
		"cta2",
		"top_deal",
		"service3",
		"subscribe",
		"slider4",
		"about_left3",
		"about_right3",
		"service4",
		"video",
		"clients3",
		"partner_left",
		"partner_right",
		"gallery4",
		"testimonial3",
		"subscribe2",
		"team_block",
	);

	static function init() {
		add_action( 'elementor/init', array( __CLASS__, 'loader' ) );
		add_action( 'elementor/elements/categories_registered', array( __CLASS__, 'register_cats' ) );
	}

	static function loader() {

		foreach ( self::$widgets as $widget ) {

			$file = POOPETPLUGIN_PLUGIN_PATH . '/elementor/' . $widget . '.php';
			if ( file_exists( $file ) ) {
				require_once $file;
			}

			add_action( 'elementor/widgets/widgets_registered', array( __CLASS__, 'register' ) );
		}
	}

	static function register( $elemntor ) {
		foreach ( self::$widgets as $widget ) {
			$class = '\\POOPETPLUGIN\\Element\\' . ucwords( $widget );

			if ( class_exists( $class ) ) {
				$elemntor->register_widget_type( new $class );
			}
		}
	}

	static function register_cats( $elements_manager ) {

		$elements_manager->add_category(
			'poopet',
			[
				'title' => esc_html__( 'Poopet', 'poopet' ),
				'icon'  => 'fa fa-plug',
			]
		);
		$elements_manager->add_category(
			'templatepath',
			[
				'title' => esc_html__( 'Template Path', 'poopet' ),
				'icon'  => 'fa fa-plug',
			]
		);

	}
}

Elementor::init();