<?php
/**
 * 404 page file
 *
 * @package    WordPress
 * @subpackage Poopet
 * @author     template_path
 * @version    1.0
 */

$text = sprintf(__('It seems we can\'t find what you\'re looking for. Perhaps searching can help ', 'poopet'), esc_url(home_url('/')));
$allowed_html = wp_kses_allowed_html( 'post' );
?>
<?php get_header();
$data = \POOPET\Includes\Classes\Common::instance()->data( '404' )->get();
do_action( 'poopet_banner', $data );
$options = poopet_WSH()->option();

if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
	?>



<section class="error-section centred">
	<div class="container">
		<div class="content-box">
		
			<?php if($options->get('404_page_title' ) ): ?>	
				 <h1><?php echo wp_kses( $options->get( '404_page_title'), $allowed_html ); ?></h1>
			<?php else: ?>
				 <h1><?php esc_html_e( '404', 'poopet' ); ?></h1>
			<?php endif; ?>	
		
			
			
			
			<?php if($options->get('404_title' ) ): ?>	  
				<h2><?php echo wp_kses( $options->get( '404_title'), $allowed_html ); ?></h2>
			<?php else: ?>	
				<h2><?php esc_html_e( 'Oops, This Page Not Be Found !', 'poopet' ); ?></h2>
			<?php endif; ?>	
			
			<?php if($options->get('404_page_text' ) ): ?>	 
				<div class="text"><?php echo wp_kses( $options->get( '404_page_text'), $allowed_html ); ?> <a href="<?php echo( home_url( '/' ) ); ?>"><?php echo wp_kses( $options->get( 'back_home_btn_label'), $allowed_html ); ?></a></div>
			<?php else: ?>	
				 <div class="text"><?php esc_html_e( 'Cant find what you need? Take a moment and do a search 
				 below or start from our ', 'poopet' ); ?> <a href="<?php echo( home_url( '/' ) ); ?>"></a></div>
			<?php endif; ?>	 
				<br>
				
					<div class="button-box"><a href="<?php echo( home_url( '/' ) ); ?>" class="theme-btn"><?php esc_html_e('Back To Home', 'poopet');?></a></div>
		</div>
	</div>
</section>


    
<?php
}
get_footer(); ?>
