<?php


/** Set ABSPATH for execution */
define( 'ABSPATH', dirname(dirname(__FILE__)) . '/' );
define( 'WPINC', 'wp-includes' );


/**
 * @ignore
 */
function add_filter() {}

/**
 * @ignore
 */
function esc_attr($str) {return $str;}

/**
 * @ignore
 */
function apply_filters() {}

/**
 * @ignore
 */
function get_option() {}

/**
 * @ignore
 */
function is_lighttpd_before_150() {}

/**
 * @ignore
 */
function add_action() {}

/**
 * @ignore
 */
function did_action() {}

/**
 * @ignore
 */
function do_action_ref_array() {}

/**
 * @ignore
 */
function get_bloginfo() {}

/**
 * @ignore
 */
function is_admin() {return true;}

/**
 * @ignore
 */
function site_url() {}

/**
 * @ignore
 */
function admin_url() {}

/**
 * @ignore
 */
function home_url() {}

/**
 * @ignore
 */
function includes_url() {}

/**
 * @ignore
 */
function wp_guess_url() {}

if ( ! function_exists( 'json_encode' ) ) :
/**
 * @ignore
 */
function json_encode() {}
endif;



/* Convert hexdec color string to rgb(a) string */
 
function hex2rgba($color, $opacity = false) {
 
	$default = 'rgb(0,0,0)';
 
	//Return default if no color provided
	if(empty($color))
          return $default; 
 
	//Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
        	$color = substr( $color, 1 );
        }
 
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
                $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
                $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
                return $default;
        }
 
        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);
 
        //Check if opacity is set(rgba or rgb)
        if($opacity){
        	if(abs($opacity) > 1)
        		$opacity = 1.0;
        	$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
        } else {
        	$output = 'rgb('.implode(",",$rgb).')';
        }
 
        //Return rgb(a) color string
        return $output;
}

$color = $_GET['main_color'];

ob_start(); ?>
/*========== Color ====================*/

.main-menu .navigation > li.current > a, .main-menu .navigation > li:hover > a,
.service-block-one .lower-content h2 a:hover,
.service-block-one .lower-content .link a,
.takecare-section .inner-content li .icon-box,
.team-section .content-box .info-box li,
.news-block-one .lower-content h3 a:hover,
.news-block-one .lower-content .link a,
.main-footer .widget-section .contact-widget .text a:hover,
.main-footer .widget-section .contact-widget .text a:hover,
.main-footer .widget-section .links-widget .link li a:hover,
.healthcare-section .content-box .lower-content .single-item h3 a:hover,
.main-footer .widget-section .contact-widget .phone a,
.main-header.header-style-two .header-top .link a:hover,
.team-block-one .lower-content h3 a:hover,
.chooseus-block-one:hover .top-content .icon-box,
.chooseus-block-one .top-content h3 a:hover,
.chooseus-section .inner-box .link .theme-btn:hover,
.pricing-table .table-header .price span,
.cta-section .inner-box .text,
.accordion-box .block .acc-btn.active .icon-outer,
.team-details-content .content-box .info li i,
.team-details .education-box .single-item span,
.sidebar .sidebar-category .category-list li a:hover, .sidebar .sidebar-category .category-list li.active a,
.service-details .content-style-three .list li:before,
.widget ul li a:hover, .widget ul li.active a,
.blog-sidebar .sidebar-post .post .text a:hover

{
	color:#<?php echo esc_attr( $color ); ?>!important;
}

/*==============================================
   Theme Background Css
===============================================*/

.main-menu .navigation > li > ul > li:hover,
.main-slider .owl-nav .owl-prev:hover, .main-slider .owl-nav .owl-next:hover,
.theme-btn:hover,
.healthcare-section .content-box .lower-content .single-item .icon-box,
.service-block-one .image-box,
.service-block-one .lower-content .link a:hover,
.sticky-header .main-menu .navigation > li.current > a, .sticky-header .main-menu .navigation > li:hover > a,
.about-section,
.news-block-one .lower-content .link a:hover,
.main-footer .widget-section .links-widget .link li a:hover:before,
.main-footer .widget-section .about-widget .subscribe-form .form-group button,
.scroll-top,
.main-slider.slider-style-two .slider-btn .theme-btn,
.team-block-one .image-box,
.chooseus-section .inner-box .link .theme-btn,
.page-info .bread-crumb,
.page-info .bread-crumb:before,
.accordion-box .block .acc-btn.active h4,
.team-details-content .content-box .social-links li a:hover,
.team-details .progress-box .bar-inner,
.sidebar .sidebar-category .category-list li.active:before, .sidebar .sidebar-category .category-list li:hover:before,
.service-sidebar .sidebar-appointment .widget-content a:hover,
span.page-numbers.current,
.pagination li a:hover, .pagination li a.active,
.widget ul li:hover:before,
.blog-single-content .post-share-option .tags li a:hover

{
	background: #<?php echo esc_attr( $color ); ?>!important;
	background-color:#<?php echo esc_attr( $color ); ?>!important;
}


/*==============================================
   Theme Border Color Css
===============================================*/

.main-menu .navigation > li > ul > li:hover,
.contact-form-area .form-group input:focus, .contact-form-area .form-group textarea:focus,
.main-footer .widget-section .about-widget .subscribe-form .form-group input:focus,
.team-details-content .content-box .social-links li a:hover

{
    border-color: #<?php echo esc_attr( $color ); ?>!important;  
}

/*==============================================
   RGB
===============================================*/

.video-galler-outer-bg:before {
    background-color: <?php echo esc_attr( hex2rgba($color, 0.9));?>!important;
}
.main-slider .content h3:before{
    background: <?php echo esc_attr( hex2rgba($color, 0.4));?>!important;
}




<?php 

$out = ob_get_clean();
$expires_offset = 31536000; // 1 year
header('Content-Type: text/css; charset=UTF-8');
header('Expires: ' . gmdate( "D, d M Y H:i:s", time() + $expires_offset ) . ' GMT');
header("Cache-Control: public, max-age=$expires_offset");
header('Vary: Accept-Encoding'); // Handle proxies
header('Content-Encoding: gzip');

echo gzencode($out);
exit;