<?php
/**
* Single Post Content Template
*
* @package    WordPress
* @subpackage POOPET
* @author     Tona Theme
* @version    1.0
*/
?>
<?php global $wp_query;

$options = poopet_WSH()->option();
$allowed_html = wp_kses_allowed_html();

$page_id = ( $wp_query->is_posts_page ) ? $wp_query->queried_object->ID : get_the_ID();

$gallery = get_post_meta( $page_id, 'poopet_gallery_images', true );

$video = get_post_meta( $page_id, 'poopet_video_url', true );


$audio_type = get_post_meta( $page_id, 'poopet_audio_type', true );

?>

<div class="blog-single-content">
	<div class="inner-box">
		<div class="news-block-one">
			<?php if($options->get('single_post_date' ) ): ?>
			<div class="date"><a href="<?php echo get_day_link( get_the_time( 'Y' ), get_the_time( 'm' ), get_the_time( 'd' ) ); ?>"><?php echo get_the_date('d'); ?><br /><?php echo get_the_date('M'); ?></a></div>
			<?php endif; ?>
			<figure class="image">
				<?php the_post_thumbnail(); ?>
			</figure>
			<div class="lower-content">
				<ul class="info-box  por_meta">
					<?php if($options->get('single_post_author' ) ): ?>
					<li><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php the_author(); ?></a></li>
					<?php endif; ?>
					<?php if($options->get('single_post_comments' ) ): ?>
					<li><?php comments_number(); ?></li>
					<?php endif; ?>
					<?php if($options->get('single_post_date' ) ): ?>
					<li><?php echo get_the_date(); ?></li>
					<?php endif; ?>
				</ul>
			
		
			</div>
		</div>
		<div class="text">
			<?php the_content(); ?>
			<div class="clearfix"></div>
			<?php wp_link_pages(array('before'=>'<div class="paginate_links">'.esc_html__('Pages: ', 'poopet'), 'after' => '</div>', 'link_before'=>'', 'link_after'=>'')); ?>
		</div>
	</div>
	
	<?php poopet_template_load( 'templates/blog-single/social_share.php', compact( 'options', 'data' ) ); ?>
	
	<?php poopet_template_load( 'templates/blog-single/author_box.php', compact( 'options', 'data' ) ); ?>
	
	<?php comments_template(); ?> 
	
</div>