<?php
$options = poopet_WSH()->option(); 
$allowed_html = wp_kses_allowed_html( 'post' );

//Logo Settings
$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension' );

$image_logo2 = $options->get( 'image_normal_logo2' );
$logo_dimension2 = $options->get( 'normal_logo_dimension2' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';
?>


    <!-- Main Header 1 -->
    <header class="main-header">

        <div class="page-header-mobile-info">
            <div class="page-header-mobile-info-content">
                <div class="header-info clearfix">
                    <ul class="info-list">
						<?php if( $options->get( 'address_v1')):?>
                        <li>
                            <i class="fas fa-map-marker-alt"></i>
                            <span><?php echo wp_kses( $options->get( 'address_v1'), $allowed_html ); ?> </span>
                        </li>
						<?php endif; ?>	
						<?php if( $options->get( 'phone_v1')):?>
                        <li>
                            <i class="fa fa-phone"></i>
                            <span><?php echo wp_kses( $options->get( 'phone_v1'), $allowed_html ); ?></span>
                        </li>
						<?php endif; ?>	
						<?php if( $options->get( 'time_title_v1')):?>
                        <li>
                            <i class="fa fa-clock"></i>
                            <span><?php echo wp_kses( $options->get( 'time_title_v1'), $allowed_html ); ?></span>
                        </li>
						<?php endif; ?>	
                    </ul>
					
					
					
					<?php if( $options->get( 'header_social_show_v1' ) ):?>
					                <?php echo wp_kses( $options->get( 'social_profile'), $allowed_html ); ?>
					<?php endif; ?>
					
					
                </div>
            </div>
			<?php if( $options->get( 'button_show_v1' ) ):?>
			<?php if( $options->get( 'button_v1')):?>
            <div class="toggle-box clearfix">
                <div class="page-header-mobile-info-toggle"></div>
                <div class="link"><a href="<?php echo wp_kses( $options->get( 'button_link_v1'), $allowed_html ); ?>" class="theme-btn"><?php echo wp_kses( $options->get( 'button_v1'), $allowed_html ); ?></a></div>
            </div>
			<?php endif; ?>
			<?php endif; ?>
        </div>

        <div class="header-top">
            <div class="container">
                <div class="header-info clearfix">
                    <ul class="info-list pull-right">
						<?php if( $options->get( 'email_v1')):?>
                        <li>
                            <i class="flaticon-mail"></i>
                            <strong><a href="<?php echo wp_kses( $options->get( 'email_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'email_v1'), $allowed_html ); ?></a></strong>
                            <?php echo wp_kses( $options->get( 'email_title_v1'), $allowed_html ); ?>
                        </li>
						<?php endif; ?>
						<?php if( $options->get( 'phone_title_two_v1')):?>
                        <li>
                            <i class="flaticon-phone-call"></i>
                            <strong><a href="tel:<?php echo wp_kses( $options->get( 'phone_link_v1'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'phone_title_two_v1'), $allowed_html ); ?></a></strong>
                            <?php echo wp_kses( $options->get( 'phone_title_v1'), $allowed_html ); ?>
                        </li>
						<?php endif; ?>
						<?php if( $options->get( 'open_time_v1')):?>
                        <li>
                            <i class="flaticon-clock"></i>
                            <strong><?php echo wp_kses( $options->get( 'open_time_v1'), $allowed_html ); ?></strong>
							<?php echo wp_kses( $options->get( 'time_title_two_v1'), $allowed_html ); ?>
                        </li>
						<?php endif; ?>
                    </ul>
                </div>
            </div>
        </div>

        <div class="header-bottom">
            <div class="container">
                <div class="clearfix">
                    <div class="logo-box">
						<figure class="logo"> <?php echo poopet_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?></figure>
                    </div>
                    <div class="nav-outer clearfix">
                        <div class="menu-area">
                            <nav class="main-menu navbar-expand-lg">
                                <div class="navbar-header">
                                    <!-- Toggle Button -->      
                                    <button type="button" class="navbar-toggle mobile-nav-toggler">
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    </button>
                                </div>
                                <div class="navbar-collapse collapse clearfix">
                                    <ul class="navigation scroll-nav clearfix">
                                        <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbarSupportedContent',
										'container_class'=>'collapse navbar-collapse sub-menu-bar',
										'menu_class'=>'nav navbar-nav',
										'fallback_cb'=>false, 
										'add_li_class'  => 'nav-item',
										'items_wrap' => '%3$s', 
										'container'=>false,
										'depth'=>'3',
										'walker'=> new Bootstrap_walker()  
										) ); ?>
                                    </ul>
                                </div>
                            </nav>
                        </div>
						
						<?php if( $options->get( 'header_social_show_v1' ) ):?>
					                <?php echo wp_kses( $options->get( 'social_profile'), $allowed_html ); ?>
						<?php endif; ?>
						
						
                    </div>
                </div>
            </div>
        </div>
		
		<!-- Mobile Menu  -->
        <div class="mobile-menu">
            <div class="menu-backdrop"></div>
            <div class="close-btn"><i class="icon fa fa-times"></i></div>
            
            <nav class="menu-box">
                <div class="nav-logo"><?php echo poopet_logo_mobile( $logo_type, $image_logo2, $logo_dimension2, $logo_text, $logo_typography ); ?></div>
                <div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
				<!--Social Links-->
				<div class="social-links">
						<?php if( $options->get( 'header_social_show_v1' ) ):?>
						<?php
							$icons = $options->get( 'header_social_v1' );
							if ( ! empty( $icons ) ) :
						?>
                        <ul class="social-style-one">
                            <?php
							foreach ( $icons as $h_icon ) :
							$header_social_icons = json_decode( urldecode( poopet_set( $h_icon, 'data' ) ) );
							if ( poopet_set( $header_social_icons, 'enable' ) == '' ) {
								continue;
							}
							$icon_class = explode( '-', poopet_set( $header_social_icons, 'icon' ) );
							?>
						
							<li><a href="<?php echo esc_url(poopet_set( $header_social_icons, 'url' )); ?>"><i class="fab <?php echo esc_attr( poopet_set( $header_social_icons, 'icon' ) ); ?>"></i></a></li>
							
							<?php endforeach; ?>
                        </ul>
						<?php endif; ?>
						<?php endif; ?>
                </div>
            </nav>
        </div><!-- End Mobile Menu -->

        <div class="nav-overlay">
            <div class="cursor"></div>
            <div class="cursor-follower"></div>
        </div>

        <!--Sticky Header-->
        <div class="sticky-header">
            <div class="container clearfix">
				<figure class="logo-box"><?php echo poopet_logo( $logo_type, $image_logo, $logo_dimension2, $logo_text, $logo_typography ); ?></figure>
                <div class="menu-area">
                    <nav class="main-menu navbar-expand-lg">
                        <div class="navbar-header">
                            <!-- Toggle Button -->      
                            <button type="button" class="navbar-toggle mobile-nav-toggler">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            </button>
                        </div>
                        <div class="navbar-collapse collapse clearfix">
                            <ul class="navigation scroll-nav clearfix">
                                <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbarSupportedContent',
								'container_class'=>'collapse navbar-collapse sub-menu-bar',
								'menu_class'=>'nav navbar-nav',
								'fallback_cb'=>false, 
								'add_li_class'  => 'nav-item',
								'items_wrap' => '%3$s', 
								'container'=>false,
								'depth'=>'3',
								'walker'=> new Bootstrap_walker()  
								) ); ?>
                            </ul>
                        </div>
                    </nav>
                </div>
            </div>
        </div><!-- sticky-header end -->
    </header>
    <!-- End Main Header -->