<?php
$options = poopet_WSH()->option(); 
$allowed_html = wp_kses_allowed_html( 'post' );

//Logo Settings
$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension' );

$image_logo2 = $options->get( 'image_normal_logo2' );
$logo_dimension2 = $options->get( 'normal_logo_dimension2' );

$image_logo3 = $options->get( 'image_normal_logo3' );
$logo_dimension3 = $options->get( 'normal_logo_dimension3' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';
?>

<header class="main-header header-style-two">
	<div class="page-header-mobile-info">
		<div class="page-header-mobile-info-content">
			<div class="header-info clearfix">
				<ul class="info-list">
					<?php if( $options->get( 'address_title_v2')):?>
					<li>
						<i class="fas fa-map-marker-alt"></i>
						<span><?php echo wp_kses( $options->get( 'address_title_v2'), $allowed_html ); ?></span>
					</li>
					<?php endif; ?>
					<?php if( $options->get( 'phone_title_v2')):?>
					<li>
						<i class="fa fa-phone"></i>
						<span><?php echo wp_kses( $options->get( 'phone_title_v2'), $allowed_html ); ?></span>
					</li>
					<?php endif; ?>
					<?php if( $options->get( 'close_time_v2')):?>
					<li>
						<i class="fa fa-clock"></i>
						<span><?php echo wp_kses( $options->get( 'close_time_v2'), $allowed_html ); ?></span>
					</li>
					<?php endif; ?>
				</ul>
				
				<?php if( $options->get( 'header_social_show_v2' ) ):?>
			                <?php echo wp_kses( $options->get( 'social_profile'), $allowed_html ); ?>
				<?php endif; ?>
			</div>
		</div>
		<?php if( $options->get( 'button_show_v2' ) ):?>
		<?php if( $options->get( 'button_v2')):?>
		<div class="toggle-box clearfix">
			<div class="page-header-mobile-info-toggle"></div>
			<div class="link"><a href="<?php echo wp_kses( $options->get( 'button_link_v2'), $allowed_html ); ?>" class="theme-btn"><?php echo wp_kses( $options->get( 'button_v2'), $allowed_html ); ?></a></div>
		</div>
		<?php endif; ?>
		<?php endif; ?>
	</div>
	<?php if( $options->get( 'top_header_show_v2' ) ):?>
	<div class="container">
		<div class="header-top">
			<div class="header-info clearfix">
				<ul class="info-list pull-left">
					<?php if( $options->get( 'address_v2')):?>
					<li>
						<i class="flaticon-mail"></i>
						<span><?php echo wp_kses( $options->get( 'address_v2'), $allowed_html ); ?></span>
					</li>
					<?php endif; ?>
					<?php if( $options->get( 'phone_v2')):?>
					<li>
						<i class="flaticon-phone-call"></i>
						<span><?php echo wp_kses( $options->get( 'phone_v2'), $allowed_html ); ?></span>
					</li>
					<?php endif; ?>
					<?php if( $options->get( 'open_time_v2')):?>
					<li>
						<i class="flaticon-clock"></i>
						<span><?php echo wp_kses( $options->get( 'open_time_v2'), $allowed_html ); ?></span>
					</li>
					<?php endif; ?>
				</ul>
				<?php if( $options->get( 'quote_show_v2' ) ):?>
				<?php if( $options->get( 'quote_v2')):?>
				<div class="link pull-right">
					<a href="<?php echo wp_kses( $options->get( 'quote_link_v2'), $allowed_html ); ?>"><?php echo wp_kses( $options->get( 'quote_v2'), $allowed_html ); ?></a>
				</div>
				<?php endif; ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php endif; ?>

	<div class="header-bottom">
		<div class="container">
			<div class="clearfix">
				<div class="logo-box">
					<figure class="logo"> <?php echo poopet_logo( $logo_type, $image_logo, $logo_dimension2, $logo_text, $logo_typography ); ?></figure>
				</div>
				<div class="nav-outer clearfix">
					<div class="menu-area">
						<nav class="main-menu navbar-expand-lg">
							<div class="navbar-header">
								<!-- Toggle Button -->      
								<button type="button" class="navbar-toggle mobile-nav-toggler">
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								</button>
							</div>
							<div class="navbar-collapse collapse clearfix">
								<ul class="navigation clearfix">
									<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbarSupportedContent',
									'container_class'=>'collapse navbar-collapse sub-menu-bar',
									'menu_class'=>'nav navbar-nav',
									'fallback_cb'=>false, 
									'add_li_class'  => 'nav-item',
									'items_wrap' => '%3$s', 
									'container'=>false,
									'depth'=>'3',
									'walker'=> new Bootstrap_walker()  
									) ); ?>
								</ul>
							</div>
						</nav>
					</div>
					<?php if( $options->get( 'header_social_show_v1' ) ):?>
				                <?php echo wp_kses( $options->get( 'social_profile'), $allowed_html ); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
	
<!-- Mobile Menu  -->
	
	<!-- Mobile Menu  -->
        <div class="mobile-menu">
            <div class="menu-backdrop"></div>
            <div class="close-btn"><i class="icon fa fa-times"></i></div>
            
            <nav class="menu-box">
                <div class="nav-logo"><?php echo poopet_logo_mobile( $logo_type, $image_logo, $logo_dimension2, $logo_text, $logo_typography ); ?></div>
                <div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
				<!--Social Links-->
				<div class="social-links">
						<?php if( $options->get( 'header_social_show_v1' ) ):?>
					                <?php echo wp_kses( $options->get( 'social_profile'), $allowed_html ); ?>
						<?php endif; ?>
                </div>
            </nav>
        </div><!-- End Mobile Menu -->

        <div class="nav-overlay">
            <div class="cursor"></div>
            <div class="cursor-follower"></div>
        </div>

        <!--Sticky Header-->
        <div class="sticky-header">
            <div class="container clearfix">
				<figure class="logo-box"><?php echo poopet_logo( $logo_type, $image_logo, $logo_dimension2, $logo_text, $logo_typography ); ?></figure>
                <div class="menu-area">
                    <nav class="main-menu navbar-expand-lg">
                        <div class="navbar-header">
                            <!-- Toggle Button -->      
                            <button type="button" class="navbar-toggle mobile-nav-toggler">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            </button>
                        </div>
                        <div class="navbar-collapse collapse clearfix">
                            <ul class="navigation scroll-nav clearfix">
                                <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbarSupportedContent',
								'container_class'=>'collapse navbar-collapse sub-menu-bar',
								'menu_class'=>'nav navbar-nav',
								'fallback_cb'=>false, 
								'add_li_class'  => 'nav-item',
								'items_wrap' => '%3$s', 
								'container'=>false,
								'depth'=>'3',
								'walker'=> new Bootstrap_walker()  
								) ); ?>
                            </ul>
                        </div>
                    </nav>
                </div>
            </div>
        </div><!-- sticky-header end -->
    </header>
    <!-- End Main Header -->	
       